> For the complete documentation index, see [llms.txt](https://docs.nftx.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nftx.io/v1.0/tutorials/redeeming.md).

# Redeeming

![](/files/-MYKQ5ReuyFKbfWBe-ak)

NFTX v1.x allows you to easily redeem your [minted](/v1.0/tutorials/minting.md) ERC20 Vault Tokens (vTokens) for a random NFT within the vault.

## Why redeem an NFT?

Redemptions allow users to take ownership of an underlying NFT from within a vault. This means that a user can go to an AMM like Sushiswap, purchase a vToken like PUNK-BASIC and use that token to claim a random CryptoPunk from the [Punk-Basic vault](https://gallery.nftx.org/funds/punk-basic/).

## Redeeming Step-by-Step

### vToken Balance

![](/files/-MYKSuX24AUqtUaWqZyP)

When you visit <https://app.nftx.org/redeem> and connect your wallet, your vToken and NFTX balances will be displayed on the right hand side. Each vToken represents a claim on a random NFT from within its vault.

{% hint style="info" %}
Don't have any vTokens? [Visit our Gallery](https://gallery.nftx.org) to browse the available vaults and exchange trading pairs.
{% endhint %}

### Redeeming

To redeem an NFT you must enter the quantity you would like to redeem (in whole numbers) and approve the NFTX contract. Once the approval transaction has been confirmed, you will then be able to redeem the desired number of tokens.

![](/files/-MYKTiTZwHJeZRrK6chN)

Once the redeem transaction is confirmed, a receipt will be shown that includes an Etherscan link for viewing NFT ID that was redeemed.

![](/files/-MYKUqs-pXbQ7qr7Vrz6)

## FAQ

### Can I choose what NFTs I redeem?

The current version of the NFTX protocol does not allow for specific redemptions. This is a feature that will be made available in V2.

### Can I redeem from a vault without a vToken?

Users must have a vToken in their wallet balance to redeem from a vault. To browse the available vaults and vault NFTs, please visit the [NFTX Gallery](https://gallery.nftx.org).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nftx.io/v1.0/tutorials/redeeming.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
